<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Mon Jan 25 17:00:03 CET 2021 -->
<title>Tarif (autoroutes 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-25">
<meta name="description" content="declaration: package: fr.humanbooster.fx.autoroute.business, class: Tarif">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Tarif.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.humanbooster.fx.autoroute.business</a></div>
<h1 title="Class Tarif" class="title">Class Tarif</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.humanbooster.fx.autoroute.business.Tarif</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Tarif</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Tarif</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(float,java.util.Date,fr.humanbooster.fx.autoroute.business.Classe,fr.humanbooster.fx.autoroute.business.Peage,fr.humanbooster.fx.autoroute.business.Peage)">Tarif</a></span>&#8203;(float&nbsp;montant,
java.util.Date&nbsp;dateEffet,
<a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.Long,float,java.util.Date,fr.humanbooster.fx.autoroute.business.Classe,fr.humanbooster.fx.autoroute.business.Peage,fr.humanbooster.fx.autoroute.business.Peage)">Tarif</a></span>&#8203;(java.lang.Long&nbsp;id,
float&nbsp;montant,
java.util.Date&nbsp;dateEffet,
<a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code><a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClasse()">getClasse</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>java.util.Date</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getDateEffet()">getDateEffet</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.lang.Long</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getId()">getId</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getMontant()">getMontant</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getPeageEntree()">getPeageEntree</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getPeageSortie()">getPeageSortie</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setClasse(fr.humanbooster.fx.autoroute.business.Classe)">setClasse</a></span>&#8203;(<a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setDateEffet(java.util.Date)">setDateEffet</a></span>&#8203;(java.util.Date&nbsp;dateEffet)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setId(java.lang.Long)">setId</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setMontant(float)">setMontant</a></span>&#8203;(float&nbsp;montant)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setPeageEntree(fr.humanbooster.fx.autoroute.business.Peage)">setPeageEntree</a></span>&#8203;(<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setPeageSortie(fr.humanbooster.fx.autoroute.business.Peage)">setPeageSortie</a></span>&#8203;(<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Tarif</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Tarif</span>()</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.Long,float,java.util.Date,fr.humanbooster.fx.autoroute.business.Classe,fr.humanbooster.fx.autoroute.business.Peage,fr.humanbooster.fx.autoroute.business.Peage)">
<h3>Tarif</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Tarif</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id,
float&nbsp;montant,
java.util.Date&nbsp;dateEffet,
<a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(float,java.util.Date,fr.humanbooster.fx.autoroute.business.Classe,fr.humanbooster.fx.autoroute.business.Peage,fr.humanbooster.fx.autoroute.business.Peage)">
<h3>Tarif</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Tarif</span>&#8203;(<span class="parameters">float&nbsp;montant,
java.util.Date&nbsp;dateEffet,
<a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree,
<a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getId()">
<h3>getId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Long</span>&nbsp;<span class="member-name">getId</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setId(java.lang.Long)">
<h3>setId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setId</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
</section>
</li>
<li>
<section class="detail" id="getMontant()">
<h3>getMontant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getMontant</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setMontant(float)">
<h3>setMontant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setMontant</span>&#8203;(<span class="parameters">float&nbsp;montant)</span></div>
</section>
</li>
<li>
<section class="detail" id="getDateEffet()">
<h3>getDateEffet</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.Date</span>&nbsp;<span class="member-name">getDateEffet</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setDateEffet(java.util.Date)">
<h3>setDateEffet</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setDateEffet</span>&#8203;(<span class="parameters">java.util.Date&nbsp;dateEffet)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClasse()">
<h3>getClasse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a></span>&nbsp;<span class="member-name">getClasse</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setClasse(fr.humanbooster.fx.autoroute.business.Classe)">
<h3>setClasse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setClasse</span>&#8203;(<span class="parameters"><a href="Classe.html" title="class in fr.humanbooster.fx.autoroute.business">Classe</a>&nbsp;classe)</span></div>
</section>
</li>
<li>
<section class="detail" id="getPeageEntree()">
<h3>getPeageEntree</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a></span>&nbsp;<span class="member-name">getPeageEntree</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setPeageEntree(fr.humanbooster.fx.autoroute.business.Peage)">
<h3>setPeageEntree</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setPeageEntree</span>&#8203;(<span class="parameters"><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageEntree)</span></div>
</section>
</li>
<li>
<section class="detail" id="getPeageSortie()">
<h3>getPeageSortie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a></span>&nbsp;<span class="member-name">getPeageSortie</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setPeageSortie(fr.humanbooster.fx.autoroute.business.Peage)">
<h3>setPeageSortie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setPeageSortie</span>&#8203;(<span class="parameters"><a href="Peage.html" title="class in fr.humanbooster.fx.autoroute.business">Peage</a>&nbsp;peageSortie)</span></div>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Tarif.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
<p class="legal-copy"><small>Copyright &#169; 2021. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
